/// id : 4
/// parent_id : 0
/// name : ""
/// updated_at : "2021-01-06 14:20:47"

class CategoryResponse {
  int? id;
  int? parentId;
  String? name;
  String? updatedAt;

  static CategoryResponse? fromMap(Map<String, dynamic> map) {
    if (map == null) return null;
    CategoryResponse categoryResponseBean = CategoryResponse();
    categoryResponseBean.id = map['id'];
    categoryResponseBean.parentId = map['parent_id'];
    categoryResponseBean.name = map['name'];
    categoryResponseBean.updatedAt = map['updated_at'];
    return categoryResponseBean;
  }

  Map toJson() => {
    "id": id,
    "parent_id": parentId,
    "name": name,
    "updated_at": updatedAt,
  };
}